use axum::{routing::get, Router};

use crate::state::AppState;

pub mod domain;
pub mod example;
pub mod state;
pub mod views;

pub fn routes() -> Router<AppState> {
    Router::new()
        .route("/", get(views::index).post(views::index_action))
        .route("/app/:app", get(views::list_app))
        .route("/app/:app/model/:model", get(views::list_item_collection))
        .route(
            "/app/:app/model/:model/detail/:id",
            get(views::item_details),
        )
}
